curl --request PATCH \
--url https://api.hexclave.com/api/v1/team-member-profiles/{team_id}/{user_id} \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "John Doe",
"profile_image_url": "https://example.com/image.jpg"
}
'import requests
url = "https://api.hexclave.com/api/v1/team-member-profiles/{team_id}/{user_id}"
payload = {
"display_name": "John Doe",
"profile_image_url": "https://example.com/image.jpg"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({display_name: 'John Doe', profile_image_url: 'https://example.com/image.jpg'})
};
fetch('https://api.hexclave.com/api/v1/team-member-profiles/{team_id}/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"user": {
"id": "3241a285-8329-4d69-8f3d-316e08cf140c",
"primary_email_verified": true,
"primary_email_auth_enabled": true,
"signed_up_at_millis": 1630000000000,
"last_active_at_millis": 1630000000000,
"is_anonymous": true,
"is_restricted": false,
"restricted_by_admin": false,
"risk_scores": {
"sign_up": {
"bot": 0,
"free_trial_abuse": 0
}
},
"primary_email": "johndoe@example.com",
"display_name": "John Doe",
"selected_team": {
"created_at_millis": 1630000000000,
"id": "ad962777-8244-496a-b6a2-e0c6a449c79e",
"display_name": "My Team",
"server_metadata": {
"key": "value"
},
"profile_image_url": "https://example.com/image.jpg",
"client_metadata": {
"key": "value"
},
"client_read_only_metadata": {
"key": "value"
}
},
"selected_team_id": "team-id",
"profile_image_url": "https://example.com/image.jpg",
"client_metadata": {
"key": "value"
},
"client_read_only_metadata": {
"key": "value"
},
"server_metadata": {
"key": "value"
},
"restricted_reason": null,
"restricted_by_admin_reason": null,
"restricted_by_admin_private_details": null,
"country_code": "US"
},
"team_id": "ad962777-8244-496a-b6a2-e0c6a449c79e",
"user_id": "3241a285-8329-4d69-8f3d-316e08cf140c",
"display_name": "John Doe",
"profile_image_url": "https://example.com/image.jpg"
}Update a team member profile
Update a team member profile by user ID
Path Parameters
The ID of the user, or the special value me for the currently authenticated user
"3241a285-8329-4d69-8f3d-316e08cf140c"
Body
Human-readable team member display name. This is not a unique identifier. Note that this is separate from the display_name of the user.
"John Doe"
URL of the profile image for team member. Can be a Base64 encoded image. Must be smaller than 100KB. Please compress and crop to a square before passing in.
"https://example.com/image.jpg"
Response
Successful response
Show child attributes
Show child attributes
The unique identifier of the team
"ad962777-8244-496a-b6a2-e0c6a449c79e"
The unique identifier of the user
"3241a285-8329-4d69-8f3d-316e08cf140c"
Human-readable team member display name. This is not a unique identifier. Note that this is separate from the display_name of the user.
"John Doe"
URL of the profile image for team member. Can be a Base64 encoded image. Must be smaller than 100KB. Please compress and crop to a square before passing in.
"https://example.com/image.jpg"